# Some sort auf "detection" of suse
%{?suse_version:%define suse 1}
%{!?suse_version:%define suse 0}

# Define Packagename, e.g.:
# rpmbuild --rebuild --define 'sourcename gopdc' gopdc.srpm
%{!?sourcename:%define sourcename %{name}-%{version}}

#
# Distribution
#
Summary: 		Helper Scripts to build up an Samba DC
Name:			gopdc
Version: 		1.0.0
Release:		1
License: 		GPL
Source: 		ftp://oss.GONICUS.de/pub/gpdc/%{sourcename}.tar.bz2
URL: 			http://www.gonicus.de
Group: 			System/Administration
Vendor:			GONICUS GmbH
Packager:		Lars Scheiter <lars.scheiter@GONICUS.de>
Buildarch: 		noarch
%if %{suse}
Requires:		php4 >=4.3.0,php4-ldap
%else
Requires: 		php >=4.3.0,php-ldap
%endif
BuildRoot: 		%{_tmppath}/%{name}-%{version}-root
BuildArch:		noarch

%define confdir 	/etc/
%define conffile	%{confdir}/%{name}.conf

%description
GOpdc Scripts may be used to build up an Samba DC, which will
help you to build up a fully integrated Domain Controller.
In combination with GOsa and Samba these scripts make a nearly NT4 style
complete Domain Controller posssible. GOpdc is in most cases similar
to the smbldap-tools.

%prep
%setup -q -n %{sourcename}

%build

%install
./install.sh -instprefix %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %attr(-,root,root) machine_group.ldif smb.conf README.txt changes TODO README.populate README.txt

%config(noreplace) %attr(0600,root,root) %{conffile}
%dir %attr(0750, root, root) /usr/share/gopdc
%attr(-, root, root) /usr/share/gopdc

%changelog
* Mon May 09 2005 Lars Scheiter <lars.scheiter@GONICUS.de> 1.0.0
- Initial package
